[arch-commits] Commit in python-llvmlite/repos/community-x86_64 (PKGBUILD PKGBUILD)
Konstantin Gizdov
kgizdov at gemini.archlinux.org
Mon Sep 5 00:17:05 UTC 2022
Date: Monday, September 5, 2022 @ 00:17:05
Author: kgizdov
Revision: 1292946
archrelease: copy trunk to community-x86_64
Added:
python-llvmlite/repos/community-x86_64/PKGBUILD
(from rev 1292945, python-llvmlite/trunk/PKGBUILD)
Deleted:
python-llvmlite/repos/community-x86_64/PKGBUILD
----------+
PKGBUILD | 70 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 35 insertions(+), 35 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-09-05 00:16:58 UTC (rev 1292945)
+++ PKGBUILD 2022-09-05 00:17:05 UTC (rev 1292946)
@@ -1,35 +0,0 @@
-# Maintainer: Konstantin Gizdov <arch at kge dot pw>
-
-_pkgname=llvmlite
-pkgbase="python-${_pkgname}"
-pkgname=("${pkgbase}")
-pkgver=0.39.0
-pkgrel=1
-pkgdesc='A Lightweight LLVM Python Binding for Writing JIT Compilers'
-arch=('x86_64')
-makedepends=('cmake' 'llvm11' 'git' 'python-build' 'python-installer' 'python-wheel' 'python-setuptools-scm')
-checkdepends=('python-tests')
-depends=('python' 'llvm11-libs')
-url="https://github.com/numba/${_pkgname}"
-license=('BSD')
-
-source=("${_pkgname}::git+${url}#tag=v${pkgver}")
-sha256sums=('SKIP')
-
-build() {
- cd "${srcdir}/${_pkgname}"
- python -m build --wheel --no-isolation
-}
-
-check() {
- cd "${srcdir}/${_pkgname}"
- python -m test || echo 'some tests failed!'
-}
-
-package() {
- cd "${srcdir}/${_pkgname}"
-
- python -m installer --destdir="$pkgdir" dist/*.whl
-
- install -D LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
Copied: python-llvmlite/repos/community-x86_64/PKGBUILD (from rev 1292945, python-llvmlite/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-09-05 00:17:05 UTC (rev 1292946)
@@ -0,0 +1,35 @@
+# Maintainer: Konstantin Gizdov <arch at kge dot pw>
+
+_pkgname=llvmlite
+pkgbase="python-${_pkgname}"
+pkgname=("${pkgbase}")
+pkgver=0.39.1
+pkgrel=1
+pkgdesc='A Lightweight LLVM Python Binding for Writing JIT Compilers'
+arch=('x86_64')
+makedepends=('cmake' 'llvm11' 'git' 'python-build' 'python-installer' 'python-wheel' 'python-setuptools-scm')
+checkdepends=('python-tests')
+depends=('python' 'llvm11-libs')
+url="https://github.com/numba/${_pkgname}"
+license=('BSD')
+
+source=("${_pkgname}::git+${url}#tag=v${pkgver}")
+sha256sums=('SKIP')
+
+build() {
+ cd "${srcdir}/${_pkgname}"
+ python -m build --wheel --no-isolation
+}
+
+check() {
+ cd "${srcdir}/${_pkgname}"
+ python -m test || echo 'some tests failed!'
+}
+
+package() {
+ cd "${srcdir}/${_pkgname}"
+
+ python -m installer --destdir="$pkgdir" dist/*.whl
+
+ install -D LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
More information about the arch-commits
mailing list